// EmployeeSetView.h : interface of the CEmployeeSetView class
//


#pragma once

class CEmployeeSetSet;

class CEmployeeSetView : public CRecordView
{
protected: // create from serialization only
	CEmployeeSetView();
	DECLARE_DYNCREATE(CEmployeeSetView)

public:
	enum{ IDD = IDD_EMPLOYEESET_FORM };
	CEmployeeSetSet* m_pSet;

// Attributes
public:
	CEmployeeSetDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
	virtual CRecordset* OnGetRecordset();
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CEmployeeSetView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnRecordAddrecord();
	afx_msg void OnRecordDeleterecord();
	BOOL m_bAdding;
	virtual BOOL OnMove(UINT nIDMoveCommand);
	afx_msg void OnRecordEditrecord();
	afx_msg void OnSortDepartment();
	afx_msg void OnSortId();
	afx_msg void OnSortName();
	afx_msg void OnSortRate();
	afx_msg void OnFilterDepartment();
	afx_msg void OnFilterId();
	afx_msg void OnFilterName();
	afx_msg void OnFilterRate();
	void SortByColumn(CString strColumn, BOOL bOrder = TRUE);
	void FilterByColumn(CString strColumn);
	afx_msg void OnFilterClear();
	afx_msg void OnSortDescendingname();
};

#ifndef _DEBUG  // debug version in EmployeeSetView.cpp
inline CEmployeeSetDoc* CEmployeeSetView::GetDocument() const
   { return reinterpret_cast<CEmployeeSetDoc*>(m_pDocument); }
#endif

